gnutls_certificate_send_x509_rdn_sequence(3)

NAME
gnutls_certificate_send_x509_rdn_sequence - API function

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_certificate_send_x509_rdn_sequence(gnutls_session_t session, int status);

ARGUMENTS

gnutls_session_t session
    is a pointer to a gnutls_session_t structure.

int status
    is 0 or 1

DESCRIPTION
If status is non zero, this function will order gnutls not to send the rdnSequence in the certificate request message. That is the server will not advertise its trusted CAs to the peer. If status is zero then the default behaviour will take effect, which is to advertise the server's trusted CAs.

This function has no effect in clients, and in authentication methods other than certificate with X.509 certificates.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/